Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: 10 Years, 11 Months, 3 Weeks ago Upgrade fail after hack-attack
#1
Solved: 10 Years, 11 Months, 3 Weeks ago
I am having troubles upgrading from 1.4 at http://www.livinlowcarbdiscussion.com

This morning, the site was hacked, redirecting people to download a pdf from realmadrid.su

When I started sniffing around, I saw that 1.6 was out and assumed the hacking was due to a known exploit in the old code. I decided to try fixing the problem with an upgrade.

I followed the instructions for upgrading, but between steps 6 and 7:

6 Go to www.yourdomain.com/forumfolder/install/upgrade.php

7 You will see a drop down list asking what version of MyBB you're upgrading from. Be sure you select the correct version you are currently using or else the upgrade will not work correctly or completely!


I encountered the following:
Quote:Warning: require_once(/home5/grassho2/public_html/locarbforum/inc/config.php) [function.require-once]: failed to open stream: No such file or directory in /home5/grassho2/public_html/locarbforum/install/upgrade.php on line 41

Fatal error: require_once() [function.require]: Failed opening required '/home5/grassho2/public_html/locarbforum/inc/config.php' (include_path='.:/usr/lib64/php:/usr/lib/php') in /home5/grassho2/public_html/locarbforum/install/upgrade.php on line 41

I don't really understand all that, but obviously something is missing. I checked out all the paths mentioned in that message and saw that while:

.../locarbforum/inc/config.php

does NOT exist,

.../locarbforum/inc/config.default.php

does.

So, should I simply rename the file in question, or do I need to change something else? Conversely, are my problems much larger in scope than I fear?

Thanks in advance for any help you can offer,

-KKS


Messages In This Thread
Upgrade fail after hack-attack - by kevinks - 2010-09-12, 08:34 PM
RE: Upgrade fail after hack-attack - by Matt - 2010-09-12, 08:38 PM
RE: Upgrade fail after hack-attack - by kevinks - 2010-09-12, 10:08 PM
RE: Upgrade fail after hack-attack - by Sajuuk - 2010-09-12, 08:38 PM
RE: Upgrade fail after hack-attack - by Matt - 2010-09-12, 10:17 PM
RE: Upgrade fail after hack-attack - by kevinks - 2010-09-12, 11:05 PM
RE: Upgrade fail after hack-attack - by kevinks - 2010-09-14, 05:14 PM

Forum Jump:


Users browsing this thread: 1 Guest(s)